#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 23 April 2003                                                       *
#                                                                            *
#*****************************************************************************

CFLAGS=/debug/opt=(tune=host)/arch=host\
	/include=([],[-],[-.kernel],[-.dft],[-.rdft],[-.reodft])\
	/name=(as_is,short)

OBJS=apiplan.obj,configure.obj,execute.obj,execute-dft.obj,\
	execute-dft-c2r.obj,execute-dft-r2c.obj,execute-r2r.obj,\
	export-wisdom-to-file.obj,export-wisdom-to-string.obj,\
	export-wisdom.obj,extract-reim.obj,flops.obj,forget-wisdom.obj,\
	import-system-wisdom.obj,import-wisdom-from-file.obj,\
	import-wisdom-from-string.obj,import-wisdom.obj,mapflags.obj,\
	mkprinter-file.obj,mktensor-iodims.obj,mktensor-rowmajor.obj,\
	plan-dft-1d.obj,plan-dft-2d.obj,plan-dft-3d.obj,plan-dft.obj,\
	plan-guru-dft.obj,plan-many-dft.obj,plan-many-dft-c2r.obj,\
	plan-dft-c2r.obj,plan-dft-c2r-1d.obj,plan-dft-c2r-2d.obj

OBJS1=plan-dft-c2r-3d.obj,plan-many-dft-r2c.obj,plan-dft-r2c.obj,\
	plan-dft-r2c-1d.obj,plan-dft-r2c-2d.obj,plan-dft-r2c-3d.obj,\
	plan-guru-dft-c2r.obj,plan-guru-dft-r2c.obj,map-r2r-kind.obj,\
	plan-many-r2r.obj,plan-r2r-1d.obj,plan-r2r-2d.obj,plan-r2r-3d.obj,\
	plan-r2r.obj,plan-guru-r2r.obj,print-plan.obj,the-planner.obj,\
	rdft2-pad.obj,version.obj,execute-split-dft-c2r.obj,\
	execute-split-dft-r2c.obj,execute-split-dft.obj,\
	plan-guru-split-dft-c2r.obj,plan-guru-split-dft-r2c.obj,\
	plan-guru-split-dft.obj,f77api.obj

all : $(OBJS) $(OBJS1)
	library [-]libfftw3 $(OBJS)
	library [-]libfftw3 $(OBJS1)
	if f$search("SYS$SYSTEM:F90$MAIN.EXE") .nes. "" then $(MMS)$(MMSQUALIFIERS) module_fftw3.obj
	if f$search("SYS$SYSTEM:F90$MAIN.EXE") .nes. "" then library [-]libfftw3 module_fftw3.obj

module_fftw3.obj : module_fftw3.f90
	f90/source=free/name=lowercase/opti=(tune=host)/arch=host module_fftw3.f90
apiplan.obj : apiplan.c
configure.obj : configure.c
execute.obj : execute.c
execute-dft.obj : execute-dft.c
execute-dft-c2r.obj : execute-dft-c2r.c
execute-dft-r2c.obj : execute-dft-r2c.c
execute-r2r.obj : execute-r2r.c
export-wisdom-to-file.obj : export-wisdom-to-file.c
export-wisdom-to-string.obj : export-wisdom-to-string.c
export-wisdom.obj : export-wisdom.c
extract-reim.obj : extract-reim.c
flops.obj : flops.c
forget-wisdom.obj : forget-wisdom.c
import-system-wisdom.obj : import-system-wisdom.c
import-wisdom-from-file.obj : import-wisdom-from-file.c
import-wisdom-from-string.obj : import-wisdom-from-string.c
import-wisdom.obj : import-wisdom.c
mapflags.obj : mapflags.c
mkprinter-file.obj : mkprinter-file.c
mktensor-iodims.obj : mktensor-iodims.c
mktensor-rowmajor.obj : mktensor-rowmajor.c
plan-dft-1d.obj : plan-dft-1d.c
plan-dft-2d.obj : plan-dft-2d.c
plan-dft-3d.obj : plan-dft-3d.c
plan-dft.obj : plan-dft.c
plan-guru-dft.obj : plan-guru-dft.c
plan-many-dft.obj : plan-many-dft.c
plan-many-dft-c2r.obj : plan-many-dft-c2r.c
plan-dft-c2r.obj : plan-dft-c2r.c
plan-dft-c2r-1d.obj : plan-dft-c2r-1d.c
plan-dft-c2r-2d.obj : plan-dft-c2r-2d.c
plan-dft-c2r-3d.obj : plan-dft-c2r-3d.c
plan-many-dft-r2c.obj : plan-many-dft-r2c.c
plan-dft-r2c.obj : plan-dft-r2c.c
plan-dft-r2c-1d.obj : plan-dft-r2c-1d.c
plan-dft-r2c-2d.obj : plan-dft-r2c-2d.c
plan-dft-r2c-3d.obj : plan-dft-r2c-3d.c
plan-guru-dft-c2r.obj : plan-guru-dft-c2r.c
plan-guru-dft-r2c.obj : plan-guru-dft-r2c.c
map-r2r-kind.obj : map-r2r-kind.c
plan-many-r2r.obj : plan-many-r2r.c
plan-r2r-1d.obj : plan-r2r-1d.c
plan-r2r-2d.obj : plan-r2r-2d.c
plan-r2r-3d.obj : plan-r2r-3d.c
plan-r2r.obj : plan-r2r.c
plan-guru-r2r.obj : plan-guru-r2r.c
print-plan.obj : print-plan.c
the-planner.obj : the-planner.c
rdft2-pad.obj : rdft2-pad.c
version.obj : version.c
execute-split-dft-c2r.obj : execute-split-dft-c2r.c
execute-split-dft-r2c.obj : execute-split-dft-r2c.c
execute-split-dft.obj : execute-split-dft.c
plan-guru-split-dft-c2r.obj : plan-guru-split-dft-c2r.c
plan-guru-split-dft-r2c.obj : plan-guru-split-dft-r2c.c
plan-guru-split-dft.obj : plan-guru-split-dft.c
f77api.obj : f77api.c
