#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 23 April 2003                                                       *
#                                                                            *
#*****************************************************************************

CFLAGS=/debug/opt=(tune=host)/arch=host/include=([],[-],[-.kernel])/name=(as_is,short)

OBJS=buffered_dft.obj,conf_dft.obj,ct-dif.obj,ct-dit.obj,\
	ct-ditbuf.obj,ct-ditf.obj,ct_dft.obj,direct.obj,generic.obj,indirect.obj,\
	kdft-dif.obj,kdft-difsq.obj,kdft-dit.obj,kdft.obj,nop.obj,plan_dft.obj,\
	problem_dft.obj,rader_dft.obj,rader-omega.obj,rank-geq2.obj,rank0.obj,\
	solve.obj,vrank-geq1.obj,vrank2-transpose.obj,vrank3-transpose.obj,\
	zero.obj

all : $(OBJS)
	library [-]libfftw3 $(OBJS)
	set default [.codelets]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.simd]
	$(MMS)$(MMSQUALIFIERS)
	set default [-.k7]
	$(MMS)$(MMSQUALIFIERS)
	set default [-]

buffered_dft.obj : buffered_dft.c
buffered_dft.c : buffered.c
	copy buffered.c buffered_dft.c
conf_dft.obj : conf_dft.c
conf_dft.c : conf.c
	copy conf.c conf_dft.c
ct-dif.obj : ct-dif.c
ct-dit.obj : ct-dit.c
ct-ditbuf.obj : ct-ditbuf.c
ct-ditf.obj : ct-ditf.c
ct_dft.obj : ct_dft.c
ct_dft.c : ct.c
	copy ct.c ct_dft.c
direct.obj : direct.c
generic.obj : generic.c
indirect.obj : indirect.c
kdft-dif.obj : kdft-dif.c
kdft-difsq.obj : kdft-difsq.c
kdft-dit.obj : kdft-dit.c
kdft.obj : kdft.c
nop.obj : nop.c
plan_dft.obj : plan_dft.c
plan_dft.c : plan.c
	copy plan.c plan_dft.c
problem_dft.obj : problem_dft.c
problem_dft.c : problem.c
	copy problem.c problem_dft.c
rader_dft.obj : rader_dft.c
rader_dft.c : rader.c
	copy rader.c rader_dft.c
rader-omega.obj : rader-omega.c
rank-geq2.obj : rank-geq2.c
rank0.obj : rank0.c
solve.obj : solve.c
vrank-geq1.obj : vrank-geq1.c
vrank2-transpose.obj : vrank2-transpose.c
vrank3-transpose.obj : vrank3-transpose.c
zero.obj : zero.c
