#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 23 April 2003                                                       *
#                                                                            *
#*****************************************************************************

CFLAGS=/debug/opt=(tune=host)/arch=host\
	/include=([],[-],[-.kernel],[-.dft])/name=(as_is,short)

am__objects_1 = buffered2.obj,direct2.obj,nop2.obj,rank0-rdft2.obj,\
	rank-geq2-rdft2.obj,plan2.obj,problem2.obj,solve2.obj,\
	vrank-geq1-rdft2.obj,rdft2-radix2.obj,rdft2-tensor-max-index.obj,\
	rdft2-inplace-strides.obj,rdft2-strides.obj
OBJS=dft-r2hc.obj,dht-r2hc.obj,dht-rader.obj,buffered_rdft.obj,\
	conf_rdft.obj,direct_rdft.obj,generic_rdft.obj,khc2hc-dif.obj,khc2hc-dit.obj,\
	khc2r.obj,kr2hc.obj,kr2r.obj,hc2hc.obj,hc2hc-dif.obj,hc2hc-dit.obj,\
	hc2hc-buf.obj,indirect_rdft.obj,nop_rdft.obj,plan_rdft.obj,problem_rdft.obj,\
	rader-hc2hc.obj,rank0_rdft.obj,rank-geq2_rdft.obj,rdft-dht.obj,solve_rdft.obj,\
	vrank-geq1_rdft.obj,$(am__objects_1)

all : $(OBJS)
	library [-]libfftw3 $(OBJS)
	set default [.codelets]
	$(MMS)$(MMSQUALIFIERS)
	set default [-]

buffered2.obj : buffered2.c
direct2.obj : direct2.c
nop2.obj : nop2.c
rank0-rdft2.obj : rank0-rdft2.c
rank-geq2-rdft2.obj : rank-geq2-rdft2.c
plan2.obj : plan2.c
problem2.obj : problem2.c
solve2.obj : solve2.c
vrank-geq1-rdft2.obj : vrank-geq1-rdft2.c
rdft2-radix2.obj : rdft2-radix2.c
rdft2-tensor-max-index.obj : rdft2-tensor-max-index.c
rdft2-inplace-strides.obj : rdft2-inplace-strides.c
rdft2-strides.obj : rdft2-strides.c
dft-r2hc.obj : dft-r2hc.c
dht-r2hc.obj : dht-r2hc.c
dht-rader.obj : dht-rader.c
buffered_rdft.obj : buffered_rdft.c
buffered_rdft.c : buffered.c
	copy buffered.c buffered_rdft.c
conf_rdft.obj : conf_rdft.c
conf_rdft.c : conf.c
	copy conf.c conf_rdft.c
direct_rdft.obj : direct_rdft.c
direct_rdft.c : direct.c
	copy direct.c direct_rdft.c
generic_rdft.obj : generic_rdft.c
generic_rdft.c : generic.c
	copy generic.c generic_rdft.c
khc2hc-dif.obj : khc2hc-dif.c
khc2hc-dit.obj : khc2hc-dit.c
khc2r.obj : khc2r.c
kr2hc.obj : kr2hc.c
kr2r.obj : kr2r.c
hc2hc.obj : hc2hc.c
hc2hc-dif.obj : hc2hc-dif.c
hc2hc-dit.obj : hc2hc-dit.c
hc2hc-buf.obj : hc2hc-buf.c
indirect_rdft.obj : indirect_rdft.c
indirect_rdft.c : indirect.c
	copy indirect.c indirect_rdft.c
nop_rdft.obj : nop_rdft.c
nop_rdft.c : nop.c
	copy nop.c nop_rdft.c
plan_rdft.obj : plan_rdft.c
plan_rdft.c : plan.c
	copy plan.c plan_rdft.c
problem_rdft.obj : problem_rdft.c
problem_rdft.c : problem.c
	copy problem.c problem_rdft.c
rader-hc2hc.obj : rader-hc2hc.c
rank0_rdft.obj : rank0_rdft.c
rank0_rdft.c : rank0.c
	copy rank0.c rank0_rdft.c
rank-geq2_rdft.obj : rank-geq2_rdft.c
rank-geq2_rdft.c : rank-geq2.c
	copy rank-geq2.c rank-geq2_rdft.c
rdft-dht.obj : rdft-dht.c
solve_rdft.obj : solve_rdft.c
solve_rdft.c : solve.c
	copy solve.c solve_rdft.c
vrank-geq1_rdft.obj : vrank-geq1_rdft.c
vrank-geq1_rdft.c : vrank-geq1.c
	copy vrank-geq1.c vrank-geq1_rdft.c
